Prefix: /usr
%define bin /usr/bin
%define lib /usr/lib
Summary: Tool for reading coordinates from linear and logscaled graphs
Name: grdig
Version: 0.4
Release: 2
Copyright: GPL
Vendor: Peter Csizmadia
Group: X11/Applications/Math
Source: http://www.kfki.hu/~cspeter/grdig/grdig-%{PACKAGE_VERSION}.tar.gz
URL: http://www.kfki.hu/~cspeter/grdig/
BuildRoot: /tmp/grdig-root
BuildArchitectures: noarch

%changelog
* Wed Dec 5 1998 Peter Csizmadia <cspeter@rmki.kfki.hu>
- release 0.4-2

* Sat Nov 21 1998 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org>
- fixed glitch in install procedure.

* Wed Sep 16 1998 Peter Csizmadia <cspeter@rmki.kfki.hu>
- initial release 0.3-1

%description
Graph ReDIGitizer is a tool for reading coordinates of data points from
linear and logscaled graphs. The input is a GIF file, the output is a
two-column table containing the coordinates of the points marked by you.

Written in Java, so you must have JDK installed (1.1 or later).

You can start it either from the Applications/Math menu (if your desktop
is KDE, or your window manager is supported by wmconfig), or by typing
"grdig filename".

%prep
%setup -n grdig

%build

%install
rm -rf $RPM_BUILD_ROOT/
mkdir -p ${RPM_BUILD_ROOT}%{bin} ${RPM_BUILD_ROOT}%{lib}

cat >${RPM_BUILD_ROOT}%{bin}/grdig <<EOF
#!/bin/sh
CLASSPATH="%{lib}/grdig.jar:\${CLASSPATH}"
export CLASSPATH
exec java Main -demo ${RPM_DOC_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/demo-kaons.data "\$@"
EOF
chmod +x ${RPM_BUILD_ROOT}%{bin}/grdig
cp -p lib/grdig.jar ${RPM_BUILD_ROOT}%{lib}

#
# install for wmconfig (FVWM2 and Afterstep window managers in RedHat 5.x)
#
mkdir -p ${RPM_BUILD_ROOT}/etc/X11/wmconfig
mkdir -p ${RPM_BUILD_ROOT}/usr/share/icons/mini
cat >${RPM_BUILD_ROOT}/etc/X11/wmconfig/grdig <<EOF
grdig name "Graph Redigitizer"
grdig description "Helps reading coordinates from linear and logscaled graphs"
grdig icon "grdig.xpm"
grdig mini-icon "mini-grdig.xpm"
grdig group Applications/Math
grdig exec "grdig &"
EOF
cp -p icons/grdig.xpm ${RPM_BUILD_ROOT}/usr/share/icons/grdig.xpm
cp -p icons/mini-grdig.xpm ${RPM_BUILD_ROOT}/usr/share/icons/mini/mini-grdig.xpm

#
# install for KDE
#
mkdir -p ${RPM_BUILD_ROOT}/opt/kde/share/applnk/Applications/Math
mkdir -p ${RPM_BUILD_ROOT}/opt/kde/share/icons/mini
cat >${RPM_BUILD_ROOT}/opt/kde/share/applnk/Applications/Math/grdig.kdelnk <<EOF
# KDE Config File
[KDE Desktop Entry]
MimeType=image/gif
Name=Graph Redigitizer
Name[hu]=Grafikon Leolvas
Comment=Helps reading coordinates from linear and logscaled graphs
Comment[hu]=Koordintk leolvassa lineris s logaritmikus grafikonokrl
Exec=grdig
Type=Application
Icon=grdig.xpm
EOF
ln -s /usr/share/icons/grdig.xpm ${RPM_BUILD_ROOT}/opt/kde/share/icons/grdig.xpm
ln -s /usr/share/icons/mini/mini-grdig.xpm ${RPM_BUILD_ROOT}/opt/kde/share/icons/mini/grdig.xpm

#
# finish install
#
chown -R root.root ${RPM_BUILD_ROOT}

%clean
rm -rf $RPM_BUILD_ROOT
 
%files
%doc README COPYING ChangeLog demo.gif demo-kaons.data
%{bin}/grdig
%{lib}/grdig.jar
/etc/X11/wmconfig/grdig
/usr/share/icons/grdig.xpm
/usr/share/icons/mini/mini-grdig.xpm
/opt/kde/share/applnk/Applications/Math/grdig.kdelnk
/opt/kde/share/icons/grdig.xpm
/opt/kde/share/icons/mini/grdig.xpm
